Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.resource.util
Class URLToStreamHelper

    java.lang.Object
      org.ajax4jsf.resource.util.URLToStreamHelper

    public final class URLToStreamHelper

extends java.lang.Object

Utility class to solve JAR locking issue using `URLConnection.setUseCaches(boolean)` method. Contains one utility method that gets `InputStream` from `URL` with caching disabled. Created 07.02.2008

Since:
  3.2
Author:
  Nick Belaevski

Method Summary
`static java.io.InputStream` | `urlToStream(java.net.URL url)` Returns `InputStream` corresponding to argument `URL` but with caching disabled
`static java.io.InputStream` | `urlToStreamSafe(java.net.URL url)` Variant of `urlToStream(URL)` method that doesn't throw IOException, but silently ignores them

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### urlToStream

    public static java.io.InputStream urlToStream(java.net.URL url)
                                           throws java.io.IOException

  Returns `InputStream` corresponding to argument `URL` but with caching disabled

  Parameters:
    `url` - `URL` of the resource
  Returns:
    `InputStream` instance or `null`
  Throws:
    `java.io.IOException`

### urlToStreamSafe

    public static java.io.InputStream urlToStreamSafe(java.net.URL url)

  Variant of `urlToStream(URL)` method that doesn't throw IOException, but silently ignores them

  Parameters:
    `url` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.